﻿-- -------------------------------------
-- Dataset 10.5281/zenodo.1167595
-- Naval Academy, France
-- Licence CC-BY-NC-SA-4.0
-- -------------------------------------

CREATE SCHEMA IF NOT EXISTS ocean_condition;
ALTER SCHEMA ocean_condition
  OWNER TO postgres;

---------------- OCTOBER --------------------
DROP TABLE IF EXISTS  ocean_condition.oc_october;
CREATE TABLE ocean_condition.oc_october
(
  lon double precision,
  lat double precision,
  dpt double precision,
  wlv double precision,
  hs double precision,
  lm double precision,
  dir double precision,
  ts bigint
)
WITH (
  OIDS=FALSE
);
ALTER TABLE ocean_condition.oc_october
  OWNER TO postgres;

COPY ocean_condition.oc_october (lon, lat, dpt, wlv,hs,lm,dir,ts)
FROM '<PATH_TO_DATASET>/[E1] Ocean Conditions/oc_october.csv'
delimiter ',' csv header;

---------------- NOVEMBER --------------------
DROP TABLE IF EXISTS  ocean_condition.oc_november;

CREATE TABLE ocean_condition.oc_november
(
  lon double precision,
  lat double precision,
  dpt double precision,
  wlv double precision,
  hs double precision,
  lm double precision,
  dir double precision,
  ts bigint
)
WITH (
  OIDS=FALSE
);
ALTER TABLE ocean_condition.oc_november
  OWNER TO postgres;

COPY ocean_condition.oc_november (lon, lat, dpt, wlv,hs,lm,dir,ts)
FROM '<PATH_TO_DATASET>/[E1] Ocean Conditions/oc_november.csv'
delimiter ',' csv header;

---------------- DECEMBER --------------------
DROP TABLE IF EXISTS  ocean_condition.oc_december;
CREATE TABLE ocean_condition.oc_december
(
  lon double precision,
  lat double precision,
  dpt double precision,
  wlv double precision,
  hs double precision,
  lm double precision,
  dir double precision,
  ts bigint
)
WITH (
  OIDS=FALSE
);

ALTER TABLE ocean_condition.oc_december
  OWNER TO postgres;  

COPY ocean_condition.oc_december (lon, lat, dpt, wlv,hs,lm,dir,ts)
FROM '<PATH_TO_DATASET>/[E1] Ocean Conditions/oc_december.csv'
delimiter ',' csv header;

---------------- JANUARY --------------------
DROP TABLE IF EXISTS  ocean_condition.oc_january;

CREATE TABLE ocean_condition.oc_january
(
  lon double precision,
  lat double precision,
  dpt double precision,
  wlv double precision,
  hs double precision,
  lm double precision,
  dir double precision,
  ts bigint
)
WITH (
  OIDS=FALSE
);
ALTER TABLE ocean_condition.oc_january
  OWNER TO postgres;

COPY ocean_condition.oc_january (lon, lat, dpt, wlv,hs,lm,dir,ts)
FROM '<PATH_TO_DATASET>/[E1] Ocean Conditions/oc_january.csv'
delimiter ',' csv header;



  
---------------- FEBRUARY --------------------
DROP TABLE IF EXISTS  ocean_condition.oc_february;

CREATE TABLE ocean_condition.oc_february
(
  lon double precision,
  lat double precision,
  dpt double precision,
  wlv double precision,
  hs double precision,
  lm double precision,
  dir double precision,
  ts bigint
)
WITH (
  OIDS=FALSE
);
ALTER TABLE ocean_condition.oc_february
  OWNER TO postgres;


COPY ocean_condition.oc_february (lon, lat, dpt, wlv,hs,lm,dir,ts)
FROM '<PATH_TO_DATASET>/[E1] Ocean Conditions/oc_february.csv'
delimiter ',' csv header;


---------------- MARCH --------------------
DROP TABLE IF EXISTS  ocean_condition.oc_march;

CREATE TABLE ocean_condition.oc_march
(
  lon double precision,
  lat double precision,
  dpt double precision,
  wlv double precision,
  hs double precision,
  lm double precision,
  dir double precision,
  ts bigint
)
WITH (
  OIDS=FALSE
);
ALTER TABLE ocean_condition.oc_march
  OWNER TO postgres;
  
COPY ocean_condition.oc_march (lon, lat, dpt, wlv,hs,lm,dir,ts)
FROM '<PATH_TO_DATASET>/[E1] Ocean Conditions/oc_march.csv'
delimiter ',' csv header;

----------- Spatialisation of tables  ----------- 

ALTER TABLE ocean_condition.oc_october ADD COLUMN geom geometry(Point,4326);
UPDATE ocean_condition.oc_october SET geom = ST_SetSRID(ST_MakePoint(lon, lat),4326);

ALTER TABLE ocean_condition.oc_november ADD COLUMN geom geometry(Point,4326);
UPDATE ocean_condition.oc_november SET geom = ST_SetSRID(ST_MakePoint(lon, lat),4326);

ALTER TABLE ocean_condition.oc_december ADD COLUMN geom geometry(Point,4326);
UPDATE ocean_condition.oc_december SET geom = ST_SetSRID(ST_MakePoint(lon, lat),4326);

ALTER TABLE ocean_condition.oc_january ADD COLUMN geom geometry(Point,4326);
UPDATE ocean_condition.oc_january SET geom = ST_SetSRID(ST_MakePoint(lon, lat),4326);

ALTER TABLE ocean_condition.oc_february ADD COLUMN geom geometry(Point,4326);
UPDATE ocean_condition.oc_february SET geom = ST_SetSRID(ST_MakePoint(lon, lat),4326);

ALTER TABLE ocean_condition.oc_march ADD COLUMN geom geometry(Point,4326);
UPDATE ocean_condition.oc_march SET geom = ST_SetSRID(ST_MakePoint(lon, lat),4326);