:: -------------------------------------
:: Dataset 10.5281/zenodo.1167595
:: Naval Academy, France
:: Licence CC-BY-NC-SA-4.0
:: -------------------------------------


:: Ports Locations

SET DB_NAME=doi105281zenodo1167595

psql -d %DB_NAME% -U postgres -c "CREATE SCHEMA IF NOT EXISTS ports;"

shp2pgsql -I -s 4326 "%~dp0..\..\[C1] Ports of Brittany\port.shp" ports.ports_of_brittany | psql -U postgres -d %DB_NAME%
shp2pgsql -I -s 4326 "%~dp0..\..\[C1] SeaDataNet Port Index\Fishing Ports.shp" ports.fishing_ports | psql -U postgres -d %DB_NAME%
shp2pgsql -I -s 4326 "%~dp0..\..\[C1] World Port Index\WPI.shp" ports.wpi_ports | psql -U postgres -d %DB_NAME%


:: Geographic regions

psql -d %DB_NAME% -U postgres -c "CREATE SCHEMA IF NOT EXISTS geographic_features;"

shp2pgsql -I -s 3035 "%~dp0..\..\[C2] European Coastline\Europe Coastline.shp" geographic_features.europe_coastline | psql -U postgres -d %DB_NAME%
shp2pgsql -I -s 3035 "%~dp0..\..\[C2] European Coastline\Europe Coastline (Polygone).shp" geographic_features.europe_coastline_polygone | psql -U postgres -d %DB_NAME%
shp2pgsql -I -s 4258 "%~dp0..\..\[C2] European Maritime Boundaries\MBEULSIV1.shp" geographic_features.europe_maritime_bounderies | psql -U postgres -d %DB_NAME%
shp2pgsql -I -s 4326 "%~dp0..\..\[C2] IHO World Seas\World_Seas_IHO_v2.shp" geographic_features.world_seas | psql -U postgres -d %DB_NAME%
shp2pgsql -I -s 4326 "%~dp0..\..\[C2] World EEZ\eez.shp" geographic_features.world_eez | psql -U postgres -d %DB_NAME%
shp2pgsql -I -s 4326 "%~dp0..\..\[C2] World EEZ\eez_boundaries.shp" geographic_features.world_eez_boundaries | psql -U postgres -d %DB_NAME%
shp2pgsql -I -s 4326 "%~dp0..\..\[C4] FAO Maritime Areas\FAO_AREAS.shp" geographic_features.fao_areas | psql -U postgres -d %DB_NAME%
shp2pgsql -I -s 4326 "%~dp0..\..\[C4] Fishing Areas (European commission)\v_recode_fish_area_clean.shp" geographic_features.fishing_areas_eu | psql -U postgres -d %DB_NAME%
shp2pgsql -I -s 4326 "%~dp0..\..\[C5] Fishing Constraints\fishing_interdiction.shp" geographic_features.fishing_constraints | psql -U postgres -d %DB_NAME%

:: AIS Receiver used to capture data

psql -d %DB_NAME% -U postgres -c "CREATE SCHEMA IF NOT EXISTS Receiver;"

shp2pgsql -I -s 4326 "%~dp0..\..\[P1] Brest Receiver\Receptor.shp" Receiver.ais_receiver | psql -U postgres -d %DB_NAME%
shp2pgsql -I -s 4326 "%~dp0..\..\[P1] Brest Receiver\Theoretical Coverage.shp" Receiver.ais_receiver_coverage | psql -U postgres -d %DB_NAME%

:: Natura 

psql -d %DB_NAME% -U postgres -c "CREATE SCHEMA IF NOT EXISTS natura2000;"

shp2pgsql -I -s 3035 "%~dp0..\..\[C5] Marine Protected Areas (EEA Natura 2000)\spatial data\Natura2000_end2015.shp" natura2000.spatialfeatures | psql -U postgres -d %DB_NAME%